Activity log for bug #1878990

Date Who What changed Old value New value Message
2020-05-15 20:37:25 Kamal Mostafa bug added bug
2020-05-15 20:37:27 Kamal Mostafa linux (Ubuntu): status New Confirmed
2020-05-15 20:37:28 Kamal Mostafa tags kernel-stable-tracking-bug
2020-05-15 20:37:29 Kamal Mostafa bug added subscriber SRU Verification
2020-05-15 20:37:31 Kamal Mostafa bug added subscriber Ubuntu Stable Release Updates Team
2020-05-15 20:37:35 Kamal Mostafa nominated for series Ubuntu Eoan
2020-05-15 20:37:36 Kamal Mostafa bug task added linux (Ubuntu Eoan)
2020-05-15 20:39:07 Kamal Mostafa linux (Ubuntu Eoan): status New In Progress
2020-05-15 20:39:09 Kamal Mostafa linux (Ubuntu Eoan): assignee Kamal Mostafa (kamalmostafa)
2020-05-15 20:39:36 Kamal Mostafa description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from a mainline/stable Linux tree or a minimally backported form of that patch. The following upstream stable patches should be included in the Ubuntu kernel: upstream stable patchset 2020-05-15 from git://git.kernel.org/ SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The following upstream        stable patches should be included in the Ubuntu kernel:        upstream stable patchset 2020-05-15 Ported from the following upstream stable releases: v4.19.120, v5.4.37 v5.4.38        from git://git.kernel.org/ remoteproc: Fix wrong rvring index computation usb: dwc3: gadget: Do link recovery for SS and SSP usb: gadget: udc: bdc: Remove unnecessary NULL checks in bdc_req_complete iio:ad7797: Use correct attribute_group ASoC: q6dsp6: q6afe-dai: add missing channels to MI2S DAIs ASoC: tas571x: disable regulators on failed probe ASoC: wm8960: Fix wrong clock after suspend & resume nfsd: memory corruption in nfsd4_lock() i2c: altera: use proper variable to hold errno rxrpc: Fix DATA Tx to disable nofrag for UDP on AF_INET6 socket net/cxgb4: Check the return from t4_query_params properly xfs: acquire superblock freeze protection on eofblocks scans svcrdma: Fix trace point use-after-free race svcrdma: Fix leak of svc_rdma_recv_ctxt objects PCI: Move Apex Edge TPU class quirk to fix BAR assignment ARM: dts: bcm283x: Disable dsi0 node cpumap: Avoid warning when CONFIG_DEBUG_PER_CPU_MAPS is enabled net/mlx5: Fix failing fw tracer allocation on s390 perf/core: fix parent pid/tid in task exit events bpf, x86_32: Fix incorrect encoding in BPF_LDX zero-extension mm: shmem: disable interrupt when acquiring info->lock in userfaultfd_copy path xfs: clear PF_MEMALLOC before exiting xfsaild thread bpf, x86: Fix encoding for lower 8-bit registers in BPF_STX BPF_B net: fec: set GPR bit on suspend by DT configuration. x86: hyperv: report value of misc_features xfs: fix partially uninitialized structure in xfs_reflink_remap_extent ALSA: hda: Keep the controller initialization even if no codecs found ALSA: hda: Explicitly permit using autosuspend if runtime PM is supported scsi: target: fix PR IN / READ FULL STATUS for FC scsi: target: tcmu: reset_ring should reset TCMU_DEV_BIT_BROKEN objtool: Fix CONFIG_UBSAN_TRAP unreachable warnings objtool: Support Clang non-section symbols in ORC dump xen/xenbus: ensure xenbus_map_ring_valloc() returns proper grant status ALSA: hda: call runtime_allow() for all hda controllers arm64: Delete the space separator in __emit_inst ext4: use matching invalidatepage in ext4_writepage ext4: increase wait time needed before reuse of deleted inode numbers ext4: convert BUG_ON's to WARN_ON's in mballoc.c hwmon: (jc42) Fix name to have no illegal characters bpf, x86_32: Fix clobbering of dst for BPF_JSET qed: Fix use after free in qed_chain_free ext4: check for non-zero journal inum in ext4_calculate_overhead ubifs: Fix ubifs_tnc_lookup() usage in do_kill_orphans() printk: queue wake_up_klogd irq_work only if per-CPU areas are ready ASoC: stm32: sai: fix sai probe kbuild: fix DT binding schema rule again to avoid needless rebuilds usb: gadget: udc: atmel: Fix vbus disconnect handling afs: Make record checking use TASK_UNINTERRUPTIBLE when appropriate afs: Fix to actually set AFS_SERVER_FL_HAVE_EPOCH counter: 104-quad-8: Add lock guards - generic interface s390/ftrace: fix potential crashes when switching tracers drivers: soc: xilinx: fix firmware driver Kconfig dependency bpf: Forbid XADD on spilled pointers for unprivileged users net/mlx5e: Don't trigger IRQ multiple times on XSK wakeup to avoid WQ overruns net/mlx5e: Get the latest values from counters in switchdev mode PCI: Add ACS quirk for Zhaoxin multi-function devices PCI: Make ACS quirk implementations more uniform PCI: Unify ACS quirk desired vs provided checking PCI: Add Zhaoxin Vendor ID PCI: Add ACS quirk for Zhaoxin Root/Downstream Ports s390/pci: do not set affinity for floating irqs sched/core: Fix reset-on-fork from RT with uclamp netfilter: nat: fix error handling upon registering inet hook PM: sleep: core: Switch back to async_schedule_dev() um: ensure `make ARCH=um mrproper` removes arch/$(SUBARCH)/include/generated/ bpf, x86_32: Fix logic error in BPF_LDX zero-extension libbpf: Initialize *nl_pid so gcc 10 is happy signal: check sig before setting info in kill_pid_usb_asyncio afs: Fix length of dump of bad YFSFetchStatus record ALSA: hda: Release resources at error in delayed probe net: stmmac: socfpga: Allow all RGMII modes mac80211: fix channel switch trigger from unknown mesh peer blk-mq: Put driver tag in blk_mq_dispatch_rq_list() when no budget qed: Fix race condition between scheduling and destroying the slowpath workqueue Crypto: chelsio - Fixes a hang issue during driver registration net: use indirect call wrappers for skb_copy_datagram_iter() ASoC: stm32: spdifrx: fix regmap status check UBUNTU: upstream stable to v4.19.120, v5.4.38
2020-06-05 06:49:50 Khaled El Mously linux (Ubuntu Eoan): status In Progress Fix Committed
2020-07-01 10:27:39 Launchpad Janitor linux (Ubuntu Eoan): status Fix Committed Fix Released
2020-07-01 10:27:39 Launchpad Janitor cve linked 2020-0543
2020-07-01 10:27:39 Launchpad Janitor cve linked 2020-10711
2020-07-01 10:27:39 Launchpad Janitor cve linked 2020-13143